<?php

/**
 * Active Callbacks
 *
 * @package Right_News
 */

// Theme Options.
function right_news_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'right_news_enable_pagination' )->value() );
}
function right_news_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'right_news_enable_breadcrumb' )->value() );
}

// Flash News Section.
function right_news_is_flash_news_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'right_news_enable_flash_news_section' )->value() );
}
function right_news_is_flash_news_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'right_news_flash_news_content_type' )->value();
	return ( right_news_is_flash_news_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function right_news_is_flash_news_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'right_news_flash_news_content_type' )->value();
	return ( right_news_is_flash_news_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Banner Slider Section.
function right_news_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'right_news_enable_banner_section' )->value() );
}
function right_news_is_banner_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'right_news_banner_content_type' )->value();
	return ( right_news_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function right_news_is_banner_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'right_news_banner_content_type' )->value();
	return ( right_news_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}
