<?php
/**
 * Banner Section
 *
 * @package Right_News
 */

$wp_customize->add_section(
	'right_news_banner_section',
	array(
		'panel'    => 'right_news_front_page_options',
		'title'    => esc_html__( 'Banner Section', 'right-news' ),
		'priority' => 20,
	)
);

// Banner Section - Enable Section.
$wp_customize->add_setting(
	'right_news_enable_banner_section',
	array(
		'default'           => false,
		'sanitize_callback' => 'right_news_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Right_News_Toggle_Switch_Custom_Control(
		$wp_customize,
		'right_news_enable_banner_section',
		array(
			'label'    => esc_html__( 'Enable Banner Section', 'right-news' ),
			'section'  => 'right_news_banner_section',
			'settings' => 'right_news_enable_banner_section',
		)
	)
);

if ( isset( $wp_customize->selective_refresh ) ) {
	$wp_customize->selective_refresh->add_partial(
		'right_news_enable_banner_section',
		array(
			'selector' => '#right_news_banner_section .section-link',
			'settings' => 'right_news_enable_banner_section',
		)
	);
}

// Banner Section - Banner Slider Content Type.
$wp_customize->add_setting(
	'right_news_banner_content_type',
	array(
		'default'           => 'category',
		'sanitize_callback' => 'right_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'right_news_banner_content_type',
	array(
		'label'           => esc_html__( 'Select Banner Slider Content Type', 'right-news' ),
		'section'         => 'right_news_banner_section',
		'settings'        => 'right_news_banner_content_type',
		'type'            => 'select',
		'active_callback' => 'right_news_is_banner_section_enabled',
		'choices'         => array(
			'post'     => esc_html__( 'Post', 'right-news' ),
			'category' => esc_html__( 'Category', 'right-news' ),
		),
	)
);

for ( $i = 1; $i <= 10; $i++ ) {
	// Banner Section - Select Post.
	$wp_customize->add_setting(
		'right_news_banner_content_post_' . $i,
		array(
			'sanitize_callback' => 'absint',
		)
	);

	$wp_customize->add_control(
		'right_news_banner_content_post_' . $i,
		array(
			'label'           => sprintf( esc_html__( 'Select Post %d', 'right-news' ), $i ),
			'section'         => 'right_news_banner_section',
			'settings'        => 'right_news_banner_content_post_' . $i,
			'active_callback' => 'right_news_is_banner_section_and_content_type_post_enabled',
			'type'            => 'select',
			'choices'         => right_news_get_post_choices(),
		)
	);

}

// Banner Section - Select Category.
$wp_customize->add_setting(
	'right_news_banner_content_category',
	array(
		'sanitize_callback' => 'right_news_sanitize_select',
	)
);

$wp_customize->add_control(
	'right_news_banner_content_category',
	array(
		'label'           => esc_html__( 'Select Category', 'right-news' ),
		'section'         => 'right_news_banner_section',
		'settings'        => 'right_news_banner_content_category',
		'active_callback' => 'right_news_is_banner_section_and_content_type_category_enabled',
		'type'            => 'select',
		'choices'         => right_news_get_post_cat_choices(),
	)
);
