<?php
/**
 * Typography
 *
 * @package Right_News
 */

$wp_customize->add_section(
	'right_news_typography',
	array(
		'panel' => 'right_news_theme_options',
		'title' => esc_html__( 'Typography', 'right-news' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'right_news_site_title_font',
	array(
		'default'           => 'Gentium Book Basic',
		'sanitize_callback' => 'right_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'right_news_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'right-news' ),
		'section'  => 'right_news_typography',
		'settings' => 'right_news_site_title_font',
		'type'     => 'select',
		'choices'  => right_news_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'right_news_site_description_font',
	array(
		'default'           => 'Merienda One',
		'sanitize_callback' => 'right_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'right_news_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'right-news' ),
		'section'  => 'right_news_typography',
		'settings' => 'right_news_site_description_font',
		'type'     => 'select',
		'choices'  => right_news_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'right_news_header_font',
	array(
		'default'           => 'Exo',
		'sanitize_callback' => 'right_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'right_news_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'right-news' ),
		'section'  => 'right_news_typography',
		'settings' => 'right_news_header_font',
		'type'     => 'select',
		'choices'  => right_news_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'right_news_body_font',
	array(
		'default'           => 'Radley',
		'sanitize_callback' => 'right_news_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'right_news_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'right-news' ),
		'section'  => 'right_news_typography',
		'settings' => 'right_news_body_font',
		'type'     => 'select',
		'choices'  => right_news_get_all_google_font_families(),
	)
);
