<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Right_News
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="mag-post-single">
		<div class="mag-post-img">
			<?php right_news_post_thumbnail(); ?>
		</div>
		<div class="mag-post-detail">
				<div class="mag-post-category">
					<?php right_news_categories_list(); ?>
				</div>
				<?php
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title mag-post-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title mag-post-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif;
				?>
			<div class="mag-post-meta">
				<?php
				right_news_posted_by();
				right_news_posted_on();
				?>
			</div>
			<div class="mag-post-excerpt">
				<p><?php echo wp_kses_post( wp_trim_words( get_the_excerpt(), get_theme_mod( 'right_news_excerpt_length', 20 ) ) ); ?></p>
			</div>
		</div>	
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
